;------------------------------------------------------------------
pro convert_tai_asciiutc, tai_time, asciiutc

pro_name = 'convert_tai_asciiutc'

ErrorNo = 0
Catch, ErrorNo
if (ErrorNo ne 0) then begin
    Catch, /CANCEL
    ErrArray = ['Application Error in '+pro_name+ '!', $
                'Error Number: '+strtrim(!error,2), $
                !Err_String]
    a = DIALOG_MESSAGE(ErrArray, /ERROR)
    utcjd = -9999.0
    return
endif

; check the size of tai_time
temp_tai_time = tai_time

size_tai = size(temp_tai_time)
if(size_tai[0] eq 0) then temp_tai_time = [tai_time]

temp_tai_time = reform(temp_tai_time)

size_tai = size(temp_tai_time)

temp_tai_time = reform(temp_tai_time, n_elements(temp_tai_time))
num_tai = n_elements(temp_tai_time)

asciiutc = make_array(num_tai, /string)

leapsec = {leapsecs: -9999.9D, lastchangejd: -9999.9D, nextchangejd: -9999.9D, leapstatus: 0L}

for i = 0L, num_tai-1 do begin
    junk = convert_tai_utc(temp_tai_time[i], leapsec=leapsec)
    if junk ne 'BAD' then begin
	asciiutc[i] = junk
    endif else begin
	asciiutc[i] = ''
    endelse
endfor

case size_tai[0] of
    2: asciiutc = reform(asciiutc, size_tai[1], size_tai[2])
    3: asciiutc = reform(asciiutc, size_tai[1], size_tai[2], size_tai[3])
    4: asciiutc = reform(asciiutc, size_tai[1], size_tai[2], size_tai[3], size_tai[4])
    else:
endcase

end
